BuildMaster 4.2.2 Has Been Released

We just shipped BuildMaster 4.2.2. It's a maintenance release of BuildMaster 4.2 which means that there is minimal risk to upgrading from an earlier 4.2. However, if you're planning to upgrade from a version prior to 4.2, make sure to read the appropriate upgrade notes.

To install or upgrade, simply download BuildMaster and run the installer.

Here's what we changed between 4.2.1 and 4.2.2:

  • BM-1450 - Make custom ProviderBasedActions compatible with pre-4.2 extensions
  • BM-1449 - FIX: Reexecution doesn't include sensitive variables
  • BM-1448 - FIX: Incorrect error displayed when testing a database provider
  • BM-1447 - FIX: Replace Text action should truncate description for long replacements
  • BM-1446 - FIX: Long action descriptions cause truncation issues

To learn more about how we distinguish between major, minor, and maintenance releases, make sure to check out KB#1059 - When should I update?